# Reference

- [SDK Reference](https://solpay-docs.solblaze.org/reference/sdk-reference.md)
- [connectNetwork](https://solpay-docs.solblaze.org/reference/sdk-reference/connect-network.md): Connects to the Solana network through an RPC endpoint
- [connectWallet](https://solpay-docs.solblaze.org/reference/sdk-reference/connect-wallet.md): Connects to a Solana Web3 wallet:
- [sendSolanaLamports](https://solpay-docs.solblaze.org/reference/sdk-reference/send-solana-lamports.md): Sends Solana Lamports from the user's wallet and awaits network confirmation
- [sendSolana](https://solpay-docs.solblaze.org/reference/sdk-reference/send-solana.md): Sends Solana from the user's wallet and awaits network confirmation
- [sendTokens](https://solpay-docs.solblaze.org/reference/sdk-reference/send-tokens.md): Sends SPL tokens from the user's wallet and awaits network confirmation
- [sendTokensDecimal](https://solpay-docs.solblaze.org/reference/sdk-reference/send-tokens-decimal.md): Sends SPL tokens from the user's wallet and awaits network confirmation
- [signTransaction](https://solpay-docs.solblaze.org/reference/sdk-reference/sign-transaction.md): Signs a transaction with multiple instructions using the user's private key so that it can be separately broadcast to the network
- [broadcastSerializedTransaction](https://solpay-docs.solblaze.org/reference/sdk-reference/broadcast-serialized-transaction.md): Broadcasts a serialized, signed transaction to be confirmed on the Solana network
- [streamLamports](https://solpay-docs.solblaze.org/reference/sdk-reference/stream-lamports.md): Streams lamports to a receiving address
- [backupStreamWallet](https://solpay-docs.solblaze.org/reference/sdk-reference/backup-stream-wallet.md): Prompts the user to create a backup of their Stream Wallet
- [getStreamDetails](https://solpay-docs.solblaze.org/reference/sdk-reference/get-stream-details.md): Gets the details of a stream
- [refillStream](https://solpay-docs.solblaze.org/reference/sdk-reference/refill-stream.md): Requests that a stream be refilled if the Stream Wallet balance is not healthy
- [pauseStream](https://solpay-docs.solblaze.org/reference/sdk-reference/pause-stream.md): Pauses an active stream
- [resumeStream](https://solpay-docs.solblaze.org/reference/sdk-reference/resume-stream.md): Resumes a paused stream
- [closeStream](https://solpay-docs.solblaze.org/reference/sdk-reference/close-stream.md): Closes an active stream
- [signMessage](https://solpay-docs.solblaze.org/reference/sdk-reference/sign-message.md): Signs a message using the user's wallet
- [getBalance](https://solpay-docs.solblaze.org/reference/sdk-reference/get-balance.md): Gets the Solana lamports balance of an account
- [getTokenBalances](https://solpay-docs.solblaze.org/reference/sdk-reference/get-token-balances.md): Gets the token balances of an account
- [getAccountInfo](https://solpay-docs.solblaze.org/reference/sdk-reference/get-account-info.md): Gets the info of an account
- [getAssociatedTokenAddress](https://solpay-docs.solblaze.org/reference/sdk-reference/get-associated-token-address.md): Gets the associated token address of a Solana account
- [getTokenBalance](https://solpay-docs.solblaze.org/reference/sdk-reference/get-token-balance.md): Gets the token balance of a Solana account
- [tokens.getData](https://solpay-docs.solblaze.org/reference/sdk-reference/tokens-get-data.md): Gets the raw on-chain data for a token
- [tokens.getTags](https://solpay-docs.solblaze.org/reference/sdk-reference/tokens-get-tags.md): Gets the tags from the SPL token registry
- [tokens.getToken](https://solpay-docs.solblaze.org/reference/sdk-reference/tokens-get-token.md): Gets the metadata for an SPL token from the SPL token registry
- [tokens.search](https://solpay-docs.solblaze.org/reference/sdk-reference/tokens-search.md): Searches for an SPL token in the SPL token registry
- [tokens.getRawUnvalidatedList](https://solpay-docs.solblaze.org/reference/sdk-reference/tokens-get-raw-unvalidated-list.md): Gets the raw, unvalidated list of tokens in the SPL token registry
- [adapters](https://solpay-docs.solblaze.org/reference/sdk-reference/adapters.md): Adapters that can be used to connect to the user's wallet
- [networks](https://solpay-docs.solblaze.org/reference/sdk-reference/networks.md): Networks that can be used to connect to the Solana network
- [API Reference](https://solpay-docs.solblaze.org/reference/api-reference.md)
- [transaction.php](https://solpay-docs.solblaze.org/reference/api-reference/transaction.md): Verifies a Solana transaction and the amount of Solana sent
- [token\_transaction.php](https://solpay-docs.solblaze.org/reference/api-reference/token-transaction.md): Verifies an SPL token transaction and the amount of tokens sent
- [signature.php](https://solpay-docs.solblaze.org/reference/api-reference/signature.md): Verifies a signed message made by the user's wallet


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://solpay-docs.solblaze.org/reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
